Page MenuHomePhabricator

Gadgets not working on the French Wikipedia
Closed, DeclinedPublic

Description

31 gadgets were broken on the French Wikipedia by the forced migration to ResourceLoader.

See https://fr.wikipedia.org/wiki/Utilisateur:Arkanosis/Travaux_%C3%A0_venir#Urgent for an updated list.

Event Timeline

Arkanosis claimed this task.
Arkanosis raised the priority of this task from to Normal.
Arkanosis updated the task description. (Show Details)
Arkanosis added a subscriber: Arkanosis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 2:34 PM

I mostly fixed the refToolbar gadget on French Wikipedia, but it still seems to have a couple bugs. The bugs don't seem to be related to the ResourceLoader change though.

ori added a subscriber: ori.Aug 26 2015, 7:06 AM

I fixed:

  • MediaWiki:Gadget-QPreview.js
  • MediaWiki:Gadget-CaracteresHTML.js
  • MediaWiki:Gadget-CaracteresMagic.js
  • MediaWiki:Gadget-CaracteresParser.js

@Arkanosis: As far as I can tell, it looks like refToolbar never actually worked on French Wikipedia. refToolbar assumes that template parameters do not include spaces (as they are reused as ids), but template parameters on French Wikipedia commonly do include spaces, which breaks refToolbar. Can you confirm whether or not refToolbar has always been broken?

Fixed SpecialChars gadget.

Arkanosis set Security to None.Aug 27 2015, 10:00 PM
Arkanosis added a subscriber: Trizek.

@Arkanosis: As far as I can tell, it looks like refToolbar never actually worked on French Wikipedia. refToolbar assumes that template parameters do not include spaces (as they are reused as ids), but template parameters on French Wikipedia commonly do include spaces, which breaks refToolbar. Can you confirm whether or not refToolbar has always been broken?

That's quite possible actually. Looking at the history, it could have been an experiment by Trizek. Anyway, I don' know.

@Trizek : maybe you can tell us if this gadget is expected to work as of today or not. Thanks ;-)

Thanks to all of you for your help, btw :)

refToolbar never worked. I've planed to improve it, but I never did.

Trizek removed a subscriber: Trizek.Aug 28 2015, 8:27 AM
Elitre added a subscriber: Elitre.Aug 28 2015, 2:41 PM

Assessment for prioritization:

Support: Medium (we can probably assume that a fair number of people want these gadgets to work)
Feasibility: High (looks like there are only 10 that are still broken)
Impact: Medium (only 1 wiki, but a major language)
Risk: Low

Priority: Normal

Removing the Gadgets project tag. See its description: The tag is about the Gadgets PHP extension. It is not about random gadgets on random websites.

Aklapper closed this task as Declined.EditedWed, Jun 26, 9:08 AM
Aklapper added a subscriber: TBolliger.

On-wiki content like user scripts, gadgets, templates, custom CSS are local features and managed independently on each wiki. Phabricator is used for MediaWiki, MediaWiki extensions, or server configuration, or by developers and teams to organize what they plan to work on. As @TBolliger removed Community-Tech from this task (which means that the Community-Tech team does not plan to work on this task) I am declining this task.

This is a matter to discuss and fix on the local wiki and not handled in Phabricator until https://phabricator.wikimedia.org/T121470 gets solved.

See https://www.mediawiki.org/wiki/Help:Locating_broken_scripts how you can find out why exactly a gadget is broken.
See https://www.mediawiki.org/wiki/ResourceLoader/Migration_guide_(users) and https://www.mediawiki.org/wiki/ResourceLoader/Legacy_JavaScript how you can fix that broken code.